Bug 146825 - Right click Remove in animation tab doesn't work decently. Right click doesn't entail select
Summary: Right click Remove in animation tab doesn't work decently. Right click doesn'...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Animation
  Show dependency treegraph
 
Reported: 2022-01-17 12:40 UTC by Telesto
Modified: 2022-03-08 16:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (23.58 KB, application/vnd.oasis.opendocument.presentation)
2022-01-17 12:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-01-17 12:40:48 UTC
Description:
Right click Remove in animation tab doesn't work decently. Right click doesn't entail select

Steps to Reproduce:
1. Open the attached file
2. Sidebar Animation tab
3. Right click Text frame entry & select remove (nothing)
4. Left click the frame entry & right click & remove -> Working


Actual Results:
Nothing happens

Expected Results:
Removal of Text frame animation


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 52443996eff721e612ac4afc1eb1a53bb8a3e06f
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2022-01-17 12:41:04 UTC
Created attachment 177603 [details]
Example file
Comment 2 Telesto 2022-01-17 12:44:06 UTC
Still fine with
Versie: 6.4.0.2 (x86)
Build ID: 08d19fecdc7a2298d051e19cfdb7c35544855fc3
CPU-threads: 4; Besturingssysteem: Windows 6.3 Build 9600; UI-render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-taal: nl-NL
Calc: CL
Comment 3 Aron Budea 2022-02-23 03:16:14 UTC
Confirmed in a fresh LO 7.4 bibisect build, and bibisected to the following commit using repo bibisect-linux-64-7.0. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=21e8ce9ab9a522d25e95773af59b7ccccaee4e54
author		Caolán McNamara <caolanm@redhat.com>	2020-03-24 11:44:16 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-04-06 21:24:40 +0200

weld custom animation panel
Comment 4 Commit Notification 2022-03-07 17:08:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/794b93daa9bc31f4ca78d5d88a8dafb12f7ff869

Resolves: tdf#146825 select under mouse on right click

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2022-03-07 17:10:36 UTC
done in trunk, backport to 7-3 in gerrit
Comment 6 Commit Notification 2022-03-08 16:05:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/d1e28925bab3523278aa180307164ac7f8b17587

Resolves: tdf#146825 select under mouse on right click

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.